# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Static Public Member Functions | Protected Attributes

# vl::Time Class Reference

Simple class to be used as a timer and to retrieve the current time and date. More...

`#include <Time.hpp>`

Inheritance diagram for vl::Time:

List of all members.

## Public Member Functions

| Time ()
int | year () const
int | month () const
int | dayOfWeek () const
int | dayOfMonth () const
int | hour () const
int | minute () const
int | second () const
int | microsecond () const
void | start (int index=0)
void | stop (int index=0)
bool | isStarted (int index=0) const
real | elapsed (int index=0) const

## Static Public Member Functions

static real | currentTime ()
| Seconds passed from an arbitrary origin QueryPerformanceFrequency should be called only once in the application lifetime.
static void | sleep (unsigned int milliseconds)

## Protected Attributes

int | mYear
int | mMonth
int | mDayOfWeek
int | mDayOfMonth
int | mHour
int | mMinute
int | mSecond
int | mMicrosecond
real | mStart [VL_MAX_TIMERS]

## Detailed Description

Simple class to be used as a timer and to retrieve the current time and date.

Definition at line 49 of file Time.hpp.

## Constructor & Destructor Documentation

Time::Time | ( | ) |

Definition at line 46 of file Time.cpp.

References mDayOfMonth, mDayOfWeek, mHour, mMicrosecond, mMinute, mMonth, mSecond, mStart, mYear, NULL, VL_DEBUG_SET_OBJECT_NAME, and VL_MAX_TIMERS.

## Member Function Documentation

int vl::Time::year | ( | ) | const`[inline]`

Definition at line 56 of file Time.hpp.

Referenced by vl::Applet::keyReleaseEvent().

int vl::Time::month | ( | ) | const`[inline]`

Definition at line 58 of file Time.hpp.

Referenced by vl::Applet::keyReleaseEvent().

int vl::Time::dayOfWeek | ( | ) | const`[inline]`

Definition at line 60 of file Time.hpp.

int vl::Time::dayOfMonth | ( | ) | const`[inline]`

Definition at line 62 of file Time.hpp.

Referenced by vl::Applet::keyReleaseEvent().

int vl::Time::hour | ( | ) | const`[inline]`

Definition at line 64 of file Time.hpp.

Referenced by vl::Applet::keyReleaseEvent().

int vl::Time::minute | ( | ) | const`[inline]`

Definition at line 66 of file Time.hpp.

int vl::Time::second | ( | ) | const`[inline]`

Definition at line 68 of file Time.hpp.

Referenced by vl::Applet::keyReleaseEvent().

int vl::Time::microsecond | ( | ) | const`[inline]`

Definition at line 70 of file Time.hpp.

real Time::currentTime | ( | ) | `[static]`

Seconds passed from an arbitrary origin QueryPerformanceFrequency should be called only once in the application lifetime.

Definition at line 114 of file Time.cpp.

References vl::gStartTime, vl::initStartTime(), NULL, and VL_CHECK.

Referenced by vl::Applet::Applet(), vl::GhostCameraManipulator::updateEvent(), and vl::Applet::updateEvent().

void Time::sleep | ( | unsigned int | milliseconds ) | `[static]`

Definition at line 144 of file Time.cpp.

Referenced by vl::abort_vl().

void vl::Time::start | ( | int | index = `0` ) | `[inline]`

Definition at line 76 of file Time.hpp.

Referenced by main(), vl::DoubleVertexRemover::removeDoubles(), and vl::PolygonSimplifier::simplify().

void vl::Time::stop | ( | int | index = `0` ) | `[inline]`

Definition at line 78 of file Time.hpp.

bool vl::Time::isStarted | ( | int | index = `0` ) | const`[inline]`

Definition at line 80 of file Time.hpp.

real vl::Time::elapsed | ( | int | index = `0` ) | const`[inline]`

Definition at line 82 of file Time.hpp.

Referenced by main(), vl::DoubleVertexRemover::removeDoubles(), and vl::PolygonSimplifier::simplify().

## Member Data Documentation

int vl::Time::mYear`[protected]`

Definition at line 85 of file Time.hpp.

Referenced by Time().

int vl::Time::mMonth`[protected]`

Definition at line 86 of file Time.hpp.

Referenced by Time().

int vl::Time::mDayOfWeek`[protected]`

Definition at line 87 of file Time.hpp.

Referenced by Time().

int vl::Time::mDayOfMonth`[protected]`

Definition at line 88 of file Time.hpp.

Referenced by Time().

int vl::Time::mHour`[protected]`

Definition at line 89 of file Time.hpp.

Referenced by Time().

int vl::Time::mMinute`[protected]`

Definition at line 90 of file Time.hpp.

Referenced by Time().

int vl::Time::mSecond`[protected]`

Definition at line 91 of file Time.hpp.

Referenced by Time().

int vl::Time::mMicrosecond`[protected]`

Definition at line 92 of file Time.hpp.

Referenced by Time().

real vl::Time::mStart[VL_MAX_TIMERS]`[protected]`

Definition at line 94 of file Time.hpp.

Referenced by Time().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/Time.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/Time.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:15.
Permission is granted to use this page to write and publish articles regarding Visualization Library.